NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.Mesh3dHexBuilder Class Reference

Represents 3D Hex Mesh * Used to create a NXOpen.CAE.SweptMesh More...

Inheritance diagram for NXOpen.CAE.Mesh3dHexBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Type { Automatic, Manual, BetweenAutomatic, BetweenManual }
 the hex mesh creation type More...
 

Public Member Functions

unsafe
NXOpen.CAE.MeshManualSweepBetweenListItemSelection 
CreateNewListItem (NXOpen.CAE.CAEEdge tMasterEdge, NXOpen.CAE.CAEEdge tTargetEdge, bool fFlipDirection)
 The list item More...
 
unsafe NXOpen.CAE.Mesh[] CommitMesh ()
 Commits the creation of the NXOpen.CAE.Mesh0d , NXOpen.CAE.Mesh1d , NXOpen.CAE.Mesh2d , NXOpen.CAE.Mesh3d object or Commits the changes made to the NXOpen.CAE.Mesh0d , NXOpen.CAE.Mesh1d , NXOpen.CAE.Mesh2d , NXOpen.CAE.Mesh3d object. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.CAE.Mesh3dHexBuilder.Type 
CreationType [get, set]
 Returns or sets the type of hex mesh More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type builder. More...
 
unsafe
NXOpen.CAE.MeshManualSweepBetweenListItemSelectionList 
LoopList [get]
 Returns the loop list More...
 
unsafe NXOpen.CAE.PropertyTable PropertyTable [get]
 Returns the property table associated with the mesh. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SelectionList [get]
 Returns the selection objects More...
 
unsafe
NXOpen.SelectDisplayableObject 
SourceFace [get]
 Returns the source face More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SourceFaceList [get]
 Returns the source face list More...
 
unsafe
NXOpen.SelectDisplayableObject 
TargetFace [get]
 Returns the target face More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
TargetFaceList [get]
 Returns the target face list More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
WallFaceList [get]
 Returns the wall face list More...
 

Detailed Description

Represents 3D Hex Mesh * Used to create a NXOpen.CAE.SweptMesh

To create a new instance of this class, use NXOpen.CAE.MeshManager.CreateMesh3dHexBuilder

Created in NX6.0.0

Member Enumeration Documentation

the hex mesh creation type

Enumerator
Automatic 
Manual 
BetweenAutomatic 
BetweenManual 

Member Function Documentation

unsafe NXOpen.CAE.Mesh [] NXOpen.CAE.Mesh3dHexBuilder.CommitMesh ( )

Commits the creation of the NXOpen.CAE.Mesh0d , NXOpen.CAE.Mesh1d , NXOpen.CAE.Mesh2d , NXOpen.CAE.Mesh3d object or Commits the changes made to the NXOpen.CAE.Mesh0d , NXOpen.CAE.Mesh1d , NXOpen.CAE.Mesh2d , NXOpen.CAE.Mesh3d object.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.MeshManualSweepBetweenListItemSelection NXOpen.CAE.Mesh3dHexBuilder.CreateNewListItem ( NXOpen.CAE.CAEEdge  tMasterEdge,
NXOpen.CAE.CAEEdge  tTargetEdge,
bool  fFlipDirection 
)

The list item

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
tMasterEdgeThe master edge
tTargetEdgeThe target edge
fFlipDirectionflip direction
Returns

Property Documentation

unsafe NXOpen.CAE.Mesh3dHexBuilder.Type NXOpen.CAE.Mesh3dHexBuilder.CreationType
getset

Returns or sets the type of hex mesh

Created in NX6.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.Mesh3dHexBuilder.ElementType
get

Returns the element type builder.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshManualSweepBetweenListItemSelectionList NXOpen.CAE.Mesh3dHexBuilder.LoopList
get

Returns the loop list

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.PropertyTable NXOpen.CAE.Mesh3dHexBuilder.PropertyTable
get

Returns the property table associated with the mesh.

The property table contains the parameters needed for the generation of the mesh.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.CAE.Mesh3dHexBuilder.SelectionList
get

Returns the selection objects

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObject NXOpen.CAE.Mesh3dHexBuilder.SourceFace
get

Returns the source face

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.CAE.Mesh3dHexBuilder.SourceFaceList
get

Returns the source face list

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObject NXOpen.CAE.Mesh3dHexBuilder.TargetFace
get

Returns the target face

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.CAE.Mesh3dHexBuilder.TargetFaceList
get

Returns the target face list

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.CAE.Mesh3dHexBuilder.WallFaceList
get

Returns the wall face list

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.